> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/open-item.md).

# Open Item

Manage VARIO Cloud open items via API, including due dates, payment terms, discounts, dunning, tags, balances, workflows, and transaction clearing.

the Finance OpenItem API

## PUT /erp/finance/openitems/{openItemId}/change

> Changes the open item master data, such as the dunning block.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/{openItemId}/change":{"put":{"tags":["OpenItem"],"description":"Changes the open item master data, such as the dunning block.","operationId":"update_36","parameters":[{"name":"openItemId","in":"path","description":"openItem Identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemChangeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItem"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemChangeRequest":{"properties":{"manualPaymentDueDate":{"type":"string","format":"date","description":"Manually set overriding due date."},"dunningBlock":{"type":"boolean","description":"Dunning block."},"inReview":{"type":"boolean","description":"Set to clarification."},"basisPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purpose":{"type":"string","description":"Payment purpose."},"valueDate":{"type":"string","format":"date","description":"Value date."},"clearValueDate":{"type":"boolean","description":"Delete the value date."},"comment":{"type":"string","description":"Comment."},"paymentBlock":{"type":"boolean","description":"Payment block."},"externalNumber":{"type":"string","description":"External open item number."},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system.","maxLength":255,"minLength":0},"paymentDiscountOrigin":{"type":"string","description":"Origin of the payment discount values. When changed to a value other than USER_DEFINED, the values are reloaded.","enum":["FROM_PAYMENT_TERM","FROM_ACCOUNT","USER_DEFINED"]},"paymentDays1":{"type":"integer","format":"int32","description":"Due period in days (payment discount 1); sets the origin of the payment discount values to USER_DEFINED."},"paymentDiscount1":{"type":"number","description":"Payment discount 1 in percent; sets the origin of the payment discount values to USER_DEFINED."},"paymentDays2":{"type":"integer","format":"int32","description":"Due period in days (payment discount 2); sets the origin of the payment discount values to USER_DEFINED."},"paymentDiscount2":{"type":"number","description":"Payment discount 2 in percent; sets the origin of the payment discount values to USER_DEFINED."},"taxPerformanceLocation":{"type":"string","description":"Performance tax situation (substitute for the account determination without a document).","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state (substitute for the account determination without a document).","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountryCode":{"type":"string","description":"Country code of the performance country (ISO Alpha-3)."},"sourceCountryCode":{"type":"string","description":"Country code of the country of origin (ISO Alpha-3)."},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"performanceDate":{"type":"string","format":"date","description":"Performance date (substitute for the account determination without a document)."}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-OpenItem":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"order":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"invoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"creditNote":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositInvoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Open item number.","readOnly":true},"externalNumber":{"type":"string","description":"External open item number.","readOnly":true},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system","readOnly":true},"depositPaymentAmount":{"type":"number","description":"agreed Deposit payment amount","readOnly":true},"depositPaymentDate":{"type":"string","format":"date","description":"agreed Deposit payment date","readOnly":true},"depositPayed":{"type":"boolean","default":false,"description":"is the agreed deposit payed?","readOnly":true},"balancedDate":{"type":"string","format":"date","description":"balanced date of this open item (calculated)","readOnly":true},"balanceState":{"type":"string","description":"whether this open item is balanced, partially paid or open","enum":["OPEN","PARTIALLY_BALANCED","BALANCED","OVERPAID"],"readOnly":true},"balance":{"type":"number","description":"Balance.","readOnly":true},"sumPayments":{"type":"number","description":"Total of the booked payments.","readOnly":true},"sumDunnings":{"type":"number","description":"Total of the dunning fees and interest.","readOnly":true},"sumTotalAmount":{"type":"number","description":"Invoice amount.","readOnly":true},"sumDiscountableAmount":{"type":"number","description":"Invoice amount eligible for the payment discount.","readOnly":true},"sumFee":{"type":"number","description":"General fees.","readOnly":true},"records":{"type":"array","description":"free payments","items":{"$ref":"#/components/schemas/erp-finance-OpenItemRecord"},"readOnly":true},"basisPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentDays1":{"type":"integer","format":"int32","description":"How many days are given for using the first discount rule","readOnly":true},"paymentDiscount1":{"type":"number","description":"How much discount can be given for speedy payment, rule 1","readOnly":true},"paymentDiscount1DueDate":{"type":"string","format":"date","description":"Due date (payment discount 1).","readOnly":true},"paymentDays2":{"type":"integer","format":"int32","description":"How many days are given for using the second discount rule","readOnly":true},"paymentDiscount2":{"type":"number","description":"How much discount can be given for speedy payment, rule 2","readOnly":true},"paymentDiscount2DueDate":{"type":"string","format":"date","description":"Due date (payment discount 2).","readOnly":true},"paymentDiscountOrigin":{"type":"string","description":"Origin of the payment discount values (days and percentages).","enum":["FROM_PAYMENT_TERM","FROM_ACCOUNT","USER_DEFINED"]},"qualifier":{"type":"string","description":"Does this open item belong to accounts payable or accounts receivable","enum":["PAYABLE","RECEIVABLE"],"readOnly":true},"fullPaymentAmount":{"type":"number","description":"The full amount of the payment","readOnly":true},"paymentAmount":{"type":"number","description":"Currently valid amount to be paid.","readOnly":true},"paymentKind":{"type":"string","description":"The kind of payment","enum":["PREPAYMENT","PAYMENT"],"readOnly":true},"refundType":{"type":"string","description":"how should a refund be done?","enum":["DISBURSE","OFFSET_LATER"]},"dunningBlock":{"type":"boolean","default":false,"description":"Dunning block."},"paymentState":{"type":"string","description":"Payment state.","enum":["NO_PAYMENT","PAYMENT_CREATED","PAYMENT_TRANSFERRED","PAYMENT_COMMITTED"]},"dunningState":{"type":"string","description":"Dunning state.","enum":["IN_DUNNING","NO_DUNNING","DUNNING_PAID","DUNNING_PARTIALLY_PAID","DUNNING_OVERPAID"]},"dunningLevel":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"dunningCount":{"type":"integer","format":"int32","description":"Number of dunning lines or dunnings for this open item.","readOnly":true},"originalPaymentDueDate":{"type":"string","format":"date","description":"Original due date.","readOnly":true},"paymentDaysNet":{"type":"integer","format":"int32","description":"Due period in days."},"paymentDueDate":{"type":"string","format":"date","description":"Due date."},"valueDate":{"type":"string","format":"date","description":"Value date."},"paymentDiscount1Amount":{"type":"number","description":"Payment discount amount 1."},"paymentDiscount2Amount":{"type":"number","description":"Payment discount amount 2."},"paymentTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purpose":{"type":"string","description":"Payment purpose."},"comment":{"type":"string","description":"Comment."},"paymentBlock":{"type":"boolean","default":false,"description":"Payment block."},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"paymentPlan":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"},"valueDateReadOnly":{"type":"boolean","default":false,"description":"Value date, read-only."},"canBeReopened":{"type":"boolean","default":false,"description":"Can this open item be reopened?"},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseDepositPaymentAmount":{"type":"number","description":"Agreed deposit amount in base currency."},"baseSumPayments":{"type":"number","description":"Total of the payments in base currency."},"baseSumDiscount":{"type":"number","description":"Total of the deductions (payment discount etc.) in base currency."},"baseSumDunnings":{"type":"number","description":"Total of the dunning fees and interest in base currency."},"baseSumTotalAmount":{"type":"number","description":"Total sum of the invoice amounts in base currency."},"baseSumDiscountableAmount":{"type":"number","description":"Total of the invoice amounts eligible for the payment discount in base currency."},"baseBalance":{"type":"number","description":"Open amount (balance) in base currency."},"baseSumFee":{"type":"number","description":"General fees in base currency."},"blockedByDocument":{"type":"boolean","default":false,"description":"Is the open item blocked by a document?"},"bookingAccountType":{"type":"string","description":"Booking to a supplier or a customer for manual open items.","enum":["CUSTOMER","SUPPLIER"],"readOnly":true},"taxPerformanceLocation":{"type":"string","description":"Performance tax situation (settable externally when no document is present).","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state (settable externally when no document is present).","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountryCode":{"type":"string","description":"Country code of the performance country (ISO Alpha-3, settable externally when no document is present)."},"sourceCountryCode":{"type":"string","description":"Country code of the country of origin (ISO Alpha-3, settable externally when no document is present)."},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"performanceDate":{"type":"string","format":"date","description":"Performance date (settable externally when no document is present)."},"balanced":{"type":"boolean"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-finance-OpenItemRecord":{"description":"free payments","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordDate":{"type":"string","format":"date","description":"record date","readOnly":true},"totalAmount":{"type":"number","description":"record total amount","readOnly":true},"discountableAmount":{"type":"number","description":"record discountable amount","readOnly":true},"amount":{"type":"number","description":"record amount","readOnly":true},"discountAmount":{"type":"number","description":"record discount amount","readOnly":true},"bookingRecordId":{"type":"integer","format":"int64","description":"ref to the financialBookingRecord","readOnly":true},"origin":{"type":"string","description":"origin for this record","enum":["DOCUMENT","PAYMENT","PAYMENT_DISSOLVED","REIMBURSEMENT","REIMBURSEMENT_DISSOLVED","MANUAL_CLOSURE","MANUAL_REOPENING","DUNNING","DUNNING_DISSOLVED","DUNNING_INTEREST_REVERSAL","IMPORT","PAYMENT_PLAN","PAYMENT_PLAN_ENTRY","PAYMENT_IMPORT","IMPORT_DUNNING","CLEARING","CLEARING_DISSOLVED","DEPOSIT","CREDIT_NOTE","BALANCE_ADJUSTMENT","FEE","DUNNING_PAYMENT","DUNNING_PAYMENT_DISSOLVED","POS_PAYMENT","VOUCHER_PAYMENT","VOUCHER_PAYMENT_DISSOLVED"],"readOnly":true},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethod":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountBankdetailsRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"businessTransaction":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"revertedByRecordId":{"type":"integer","format":"int64","description":"Identifier of the record that cancelled this one.","readOnly":true},"transactionId":{"type":"integer","format":"int64","description":"Identifier of the transaction that caused this record.","readOnly":true},"qualifier":{"type":"string","description":"qualifier of open item","enum":["PAYABLE","RECEIVABLE","PAYMENT_RECEIVED","PAYMENT_SENT","PAYMENT_RECEIVED_REVERTED","PAYMENT_SENT_REVERTED","DUNNING_RECEIVABLE","DUNNING_PAYABLE","DUNNING_RECEIVABLE_REVERTED","DUNNING_PAYABLE_REVERTED"],"readOnly":true},"bookingType":{"type":"string","description":"Booking type of the open item record (derived from the origin and the booking type).","enum":["PAYABLE","RECEIVABLE","PAYMENT_PAYABLE","PAYMENT_RECEIVABLE","PAYMENT_PAYABLE_DISSOLVED","PAYMENT_RECEIVABLE_DISSOLVED","DUNNING_PAYABLE","DUNNING_RECEIVABLE","DUNNING_PAYABLE_DISSOLVED","DUNNING_RECEIVABLE_DISSOLVED"],"readOnly":true},"number":{"type":"string","description":"Process number that led to the booking.","readOnly":true},"comment":{"type":"string","description":"comment","readOnly":true},"locked":{"type":"boolean","description":"locked","readOnly":true},"revertable":{"type":"boolean","description":"revertable","readOnly":true},"recordReferenceNumber":{"type":"string","description":"record reference number","readOnly":true},"dunningLvl":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Booking amount in base currency."},"baseDiscountAmount":{"type":"number","description":"Deduction amount in base currency."},"baseTotalAmount":{"type":"number","description":"Total amount in base currency."},"baseDiscountableAmount":{"type":"number","description":"Total amount eligible for the payment discount in base currency."},"baseDunningFee":{"type":"number","description":"Dunning fees in base currency."},"baseDunningInterest":{"type":"number","description":"Dunning interest in base currency."}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Payment plan.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Payment plan type.","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Due date rule."},"amount":{"type":"number","description":"Amount."},"startDate":{"type":"string","format":"date","description":"Start date."},"endDate":{"type":"string","format":"date","description":"End date."},"description":{"type":"string","description":"Description."},"active":{"type":"boolean","description":"Active."},"dueDate":{"type":"string","format":"date","description":"Due date."},"manualRuleEntries":{"type":"array","description":"Manual booking presets.","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Payment plan currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Payment plan base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}},"erp-finance-PaymentPlanManualRule":{"description":"Manual booking presets.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Due date."},"amount":{"type":"number","description":"Amount."},"processed":{"type":"boolean","description":"Already processed.","readOnly":true},"currencyCode":{"type":"string","description":"Currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}}}}}
```

## PUT /erp/finance/openitems/additional-functions/{openItemId}/UpdateTags

> Update Tags

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/additional-functions/{openItemId}/UpdateTags":{"put":{"tags":["OpenItem"],"summary":"Update Tags","operationId":"setOpenItemTags","parameters":[{"name":"openItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"},"uniqueItems":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItem"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItem":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"order":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"invoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"creditNote":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositInvoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Open item number.","readOnly":true},"externalNumber":{"type":"string","description":"External open item number.","readOnly":true},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system","readOnly":true},"depositPaymentAmount":{"type":"number","description":"agreed Deposit payment amount","readOnly":true},"depositPaymentDate":{"type":"string","format":"date","description":"agreed Deposit payment date","readOnly":true},"depositPayed":{"type":"boolean","default":false,"description":"is the agreed deposit payed?","readOnly":true},"balancedDate":{"type":"string","format":"date","description":"balanced date of this open item (calculated)","readOnly":true},"balanceState":{"type":"string","description":"whether this open item is balanced, partially paid or open","enum":["OPEN","PARTIALLY_BALANCED","BALANCED","OVERPAID"],"readOnly":true},"balance":{"type":"number","description":"Balance.","readOnly":true},"sumPayments":{"type":"number","description":"Total of the booked payments.","readOnly":true},"sumDunnings":{"type":"number","description":"Total of the dunning fees and interest.","readOnly":true},"sumTotalAmount":{"type":"number","description":"Invoice amount.","readOnly":true},"sumDiscountableAmount":{"type":"number","description":"Invoice amount eligible for the payment discount.","readOnly":true},"sumFee":{"type":"number","description":"General fees.","readOnly":true},"records":{"type":"array","description":"free payments","items":{"$ref":"#/components/schemas/erp-finance-OpenItemRecord"},"readOnly":true},"basisPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentDays1":{"type":"integer","format":"int32","description":"How many days are given for using the first discount rule","readOnly":true},"paymentDiscount1":{"type":"number","description":"How much discount can be given for speedy payment, rule 1","readOnly":true},"paymentDiscount1DueDate":{"type":"string","format":"date","description":"Due date (payment discount 1).","readOnly":true},"paymentDays2":{"type":"integer","format":"int32","description":"How many days are given for using the second discount rule","readOnly":true},"paymentDiscount2":{"type":"number","description":"How much discount can be given for speedy payment, rule 2","readOnly":true},"paymentDiscount2DueDate":{"type":"string","format":"date","description":"Due date (payment discount 2).","readOnly":true},"paymentDiscountOrigin":{"type":"string","description":"Origin of the payment discount values (days and percentages).","enum":["FROM_PAYMENT_TERM","FROM_ACCOUNT","USER_DEFINED"]},"qualifier":{"type":"string","description":"Does this open item belong to accounts payable or accounts receivable","enum":["PAYABLE","RECEIVABLE"],"readOnly":true},"fullPaymentAmount":{"type":"number","description":"The full amount of the payment","readOnly":true},"paymentAmount":{"type":"number","description":"Currently valid amount to be paid.","readOnly":true},"paymentKind":{"type":"string","description":"The kind of payment","enum":["PREPAYMENT","PAYMENT"],"readOnly":true},"refundType":{"type":"string","description":"how should a refund be done?","enum":["DISBURSE","OFFSET_LATER"]},"dunningBlock":{"type":"boolean","default":false,"description":"Dunning block."},"paymentState":{"type":"string","description":"Payment state.","enum":["NO_PAYMENT","PAYMENT_CREATED","PAYMENT_TRANSFERRED","PAYMENT_COMMITTED"]},"dunningState":{"type":"string","description":"Dunning state.","enum":["IN_DUNNING","NO_DUNNING","DUNNING_PAID","DUNNING_PARTIALLY_PAID","DUNNING_OVERPAID"]},"dunningLevel":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"dunningCount":{"type":"integer","format":"int32","description":"Number of dunning lines or dunnings for this open item.","readOnly":true},"originalPaymentDueDate":{"type":"string","format":"date","description":"Original due date.","readOnly":true},"paymentDaysNet":{"type":"integer","format":"int32","description":"Due period in days."},"paymentDueDate":{"type":"string","format":"date","description":"Due date."},"valueDate":{"type":"string","format":"date","description":"Value date."},"paymentDiscount1Amount":{"type":"number","description":"Payment discount amount 1."},"paymentDiscount2Amount":{"type":"number","description":"Payment discount amount 2."},"paymentTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purpose":{"type":"string","description":"Payment purpose."},"comment":{"type":"string","description":"Comment."},"paymentBlock":{"type":"boolean","default":false,"description":"Payment block."},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"paymentPlan":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"},"valueDateReadOnly":{"type":"boolean","default":false,"description":"Value date, read-only."},"canBeReopened":{"type":"boolean","default":false,"description":"Can this open item be reopened?"},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseDepositPaymentAmount":{"type":"number","description":"Agreed deposit amount in base currency."},"baseSumPayments":{"type":"number","description":"Total of the payments in base currency."},"baseSumDiscount":{"type":"number","description":"Total of the deductions (payment discount etc.) in base currency."},"baseSumDunnings":{"type":"number","description":"Total of the dunning fees and interest in base currency."},"baseSumTotalAmount":{"type":"number","description":"Total sum of the invoice amounts in base currency."},"baseSumDiscountableAmount":{"type":"number","description":"Total of the invoice amounts eligible for the payment discount in base currency."},"baseBalance":{"type":"number","description":"Open amount (balance) in base currency."},"baseSumFee":{"type":"number","description":"General fees in base currency."},"blockedByDocument":{"type":"boolean","default":false,"description":"Is the open item blocked by a document?"},"bookingAccountType":{"type":"string","description":"Booking to a supplier or a customer for manual open items.","enum":["CUSTOMER","SUPPLIER"],"readOnly":true},"taxPerformanceLocation":{"type":"string","description":"Performance tax situation (settable externally when no document is present).","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state (settable externally when no document is present).","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountryCode":{"type":"string","description":"Country code of the performance country (ISO Alpha-3, settable externally when no document is present)."},"sourceCountryCode":{"type":"string","description":"Country code of the country of origin (ISO Alpha-3, settable externally when no document is present)."},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"performanceDate":{"type":"string","format":"date","description":"Performance date (settable externally when no document is present)."},"balanced":{"type":"boolean"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-OpenItemRecord":{"description":"free payments","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordDate":{"type":"string","format":"date","description":"record date","readOnly":true},"totalAmount":{"type":"number","description":"record total amount","readOnly":true},"discountableAmount":{"type":"number","description":"record discountable amount","readOnly":true},"amount":{"type":"number","description":"record amount","readOnly":true},"discountAmount":{"type":"number","description":"record discount amount","readOnly":true},"bookingRecordId":{"type":"integer","format":"int64","description":"ref to the financialBookingRecord","readOnly":true},"origin":{"type":"string","description":"origin for this record","enum":["DOCUMENT","PAYMENT","PAYMENT_DISSOLVED","REIMBURSEMENT","REIMBURSEMENT_DISSOLVED","MANUAL_CLOSURE","MANUAL_REOPENING","DUNNING","DUNNING_DISSOLVED","DUNNING_INTEREST_REVERSAL","IMPORT","PAYMENT_PLAN","PAYMENT_PLAN_ENTRY","PAYMENT_IMPORT","IMPORT_DUNNING","CLEARING","CLEARING_DISSOLVED","DEPOSIT","CREDIT_NOTE","BALANCE_ADJUSTMENT","FEE","DUNNING_PAYMENT","DUNNING_PAYMENT_DISSOLVED","POS_PAYMENT","VOUCHER_PAYMENT","VOUCHER_PAYMENT_DISSOLVED"],"readOnly":true},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethod":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountBankdetailsRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"businessTransaction":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"revertedByRecordId":{"type":"integer","format":"int64","description":"Identifier of the record that cancelled this one.","readOnly":true},"transactionId":{"type":"integer","format":"int64","description":"Identifier of the transaction that caused this record.","readOnly":true},"qualifier":{"type":"string","description":"qualifier of open item","enum":["PAYABLE","RECEIVABLE","PAYMENT_RECEIVED","PAYMENT_SENT","PAYMENT_RECEIVED_REVERTED","PAYMENT_SENT_REVERTED","DUNNING_RECEIVABLE","DUNNING_PAYABLE","DUNNING_RECEIVABLE_REVERTED","DUNNING_PAYABLE_REVERTED"],"readOnly":true},"bookingType":{"type":"string","description":"Booking type of the open item record (derived from the origin and the booking type).","enum":["PAYABLE","RECEIVABLE","PAYMENT_PAYABLE","PAYMENT_RECEIVABLE","PAYMENT_PAYABLE_DISSOLVED","PAYMENT_RECEIVABLE_DISSOLVED","DUNNING_PAYABLE","DUNNING_RECEIVABLE","DUNNING_PAYABLE_DISSOLVED","DUNNING_RECEIVABLE_DISSOLVED"],"readOnly":true},"number":{"type":"string","description":"Process number that led to the booking.","readOnly":true},"comment":{"type":"string","description":"comment","readOnly":true},"locked":{"type":"boolean","description":"locked","readOnly":true},"revertable":{"type":"boolean","description":"revertable","readOnly":true},"recordReferenceNumber":{"type":"string","description":"record reference number","readOnly":true},"dunningLvl":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Booking amount in base currency."},"baseDiscountAmount":{"type":"number","description":"Deduction amount in base currency."},"baseTotalAmount":{"type":"number","description":"Total amount in base currency."},"baseDiscountableAmount":{"type":"number","description":"Total amount eligible for the payment discount in base currency."},"baseDunningFee":{"type":"number","description":"Dunning fees in base currency."},"baseDunningInterest":{"type":"number","description":"Dunning interest in base currency."}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Payment plan.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Payment plan type.","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Due date rule."},"amount":{"type":"number","description":"Amount."},"startDate":{"type":"string","format":"date","description":"Start date."},"endDate":{"type":"string","format":"date","description":"End date."},"description":{"type":"string","description":"Description."},"active":{"type":"boolean","description":"Active."},"dueDate":{"type":"string","format":"date","description":"Due date."},"manualRuleEntries":{"type":"array","description":"Manual booking presets.","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Payment plan currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Payment plan base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}},"erp-finance-PaymentPlanManualRule":{"description":"Manual booking presets.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Due date."},"amount":{"type":"number","description":"Amount."},"processed":{"type":"boolean","description":"Already processed.","readOnly":true},"currencyCode":{"type":"string","description":"Currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}}}}}
```

## GET /erp/finance/openitems/account/{accountId}/print

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/account/{accountId}/print":{"get":{"tags":["OpenItem"],"operationId":"getPrintPreview","parameters":[{"name":"accountId","in":"path","description":"account identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}}}}
```

## PUT /erp/finance/openitems/account/{accountId}/print

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/account/{accountId}/print":{"put":{"tags":["OpenItem"],"operationId":"printDunning","parameters":[{"name":"accountId","in":"path","description":"account identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-output-OutputRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"object"}},"application/json":{"schema":{"type":"object"}}}}}}}},"components":{"schemas":{"common-output-OutputRequest":{"properties":{"exportFormat":{"type":"string","description":"Output format for the mail or file export.","enum":["PDF","XLSX","JSON_RAW","REPORT_TEMPLATE"]},"exportFilename":{"type":"string","description":"File name (without extension) for a file export."},"mailRecipients":{"type":"array","description":"Recipient.","items":{"$ref":"#/components/schemas/common-output-OutputRecipient.MailRecipient"}},"outputType":{"type":"string","description":"outputType"},"groupIdentifier":{"type":"string","description":"OutputReportGroup identifier (optional), otherwise the module default group."},"published":{"type":"boolean","default":false,"description":"Should only documents that are already published be considered?"},"directPrintEnabled":{"type":"boolean","default":true,"description":"Return output directly to the client."}}},"common-output-OutputRecipient.MailRecipient":{"description":"Recipient.","properties":{"type":{"type":"string","description":"(mail) recipient type","enum":["TO","CC","BCC"]},"address":{"type":"string","description":"(mail) recipient address"},"name":{"type":"string","description":"(mail) recipient name"}}}}}}
```

## POST /erp/finance/openitems/{openItemid}/calculate\_discount/{discountDate}

> Returns the payment discount amount and the payment discount validity for a given date.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/{openItemid}/calculate_discount/{discountDate}":{"post":{"tags":["OpenItem"],"description":"Returns the payment discount amount and the payment discount validity for a given date.","operationId":"calculateDiscountForDate","parameters":[{"name":"openItemid","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"discountDate","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-DiscountCalculationResponse"}}}}}}}},"components":{"schemas":{"erp-finance-DiscountCalculationResponse":{"properties":{"discountDate":{"type":"string","format":"date","description":"Payment discount date."},"discountAmount":{"type":"number","description":"Payment discount amount."},"isApplicable":{"type":"boolean","description":"The payment discount is applicable."}}}}}}
```

## POST /erp/finance/openitems/{openItemId}/{openItemRecordId}/reassignTransaction

> Assigns a transaction to a different open item.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/{openItemId}/{openItemRecordId}/reassignTransaction":{"post":{"tags":["OpenItem"],"description":"Assigns a transaction to a different open item.","operationId":"reassignTransaction","parameters":[{"name":"openItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"openItemRecordId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemTransactionReassignRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItem"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemTransactionReassignRequest":{"properties":{"targetOpenItemId":{"type":"integer","format":"int64","description":"New open item the transaction is assigned to."}}},"erp-finance-OpenItem":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"order":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"invoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"creditNote":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositInvoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Open item number.","readOnly":true},"externalNumber":{"type":"string","description":"External open item number.","readOnly":true},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system","readOnly":true},"depositPaymentAmount":{"type":"number","description":"agreed Deposit payment amount","readOnly":true},"depositPaymentDate":{"type":"string","format":"date","description":"agreed Deposit payment date","readOnly":true},"depositPayed":{"type":"boolean","default":false,"description":"is the agreed deposit payed?","readOnly":true},"balancedDate":{"type":"string","format":"date","description":"balanced date of this open item (calculated)","readOnly":true},"balanceState":{"type":"string","description":"whether this open item is balanced, partially paid or open","enum":["OPEN","PARTIALLY_BALANCED","BALANCED","OVERPAID"],"readOnly":true},"balance":{"type":"number","description":"Balance.","readOnly":true},"sumPayments":{"type":"number","description":"Total of the booked payments.","readOnly":true},"sumDunnings":{"type":"number","description":"Total of the dunning fees and interest.","readOnly":true},"sumTotalAmount":{"type":"number","description":"Invoice amount.","readOnly":true},"sumDiscountableAmount":{"type":"number","description":"Invoice amount eligible for the payment discount.","readOnly":true},"sumFee":{"type":"number","description":"General fees.","readOnly":true},"records":{"type":"array","description":"free payments","items":{"$ref":"#/components/schemas/erp-finance-OpenItemRecord"},"readOnly":true},"basisPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentDays1":{"type":"integer","format":"int32","description":"How many days are given for using the first discount rule","readOnly":true},"paymentDiscount1":{"type":"number","description":"How much discount can be given for speedy payment, rule 1","readOnly":true},"paymentDiscount1DueDate":{"type":"string","format":"date","description":"Due date (payment discount 1).","readOnly":true},"paymentDays2":{"type":"integer","format":"int32","description":"How many days are given for using the second discount rule","readOnly":true},"paymentDiscount2":{"type":"number","description":"How much discount can be given for speedy payment, rule 2","readOnly":true},"paymentDiscount2DueDate":{"type":"string","format":"date","description":"Due date (payment discount 2).","readOnly":true},"paymentDiscountOrigin":{"type":"string","description":"Origin of the payment discount values (days and percentages).","enum":["FROM_PAYMENT_TERM","FROM_ACCOUNT","USER_DEFINED"]},"qualifier":{"type":"string","description":"Does this open item belong to accounts payable or accounts receivable","enum":["PAYABLE","RECEIVABLE"],"readOnly":true},"fullPaymentAmount":{"type":"number","description":"The full amount of the payment","readOnly":true},"paymentAmount":{"type":"number","description":"Currently valid amount to be paid.","readOnly":true},"paymentKind":{"type":"string","description":"The kind of payment","enum":["PREPAYMENT","PAYMENT"],"readOnly":true},"refundType":{"type":"string","description":"how should a refund be done?","enum":["DISBURSE","OFFSET_LATER"]},"dunningBlock":{"type":"boolean","default":false,"description":"Dunning block."},"paymentState":{"type":"string","description":"Payment state.","enum":["NO_PAYMENT","PAYMENT_CREATED","PAYMENT_TRANSFERRED","PAYMENT_COMMITTED"]},"dunningState":{"type":"string","description":"Dunning state.","enum":["IN_DUNNING","NO_DUNNING","DUNNING_PAID","DUNNING_PARTIALLY_PAID","DUNNING_OVERPAID"]},"dunningLevel":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"dunningCount":{"type":"integer","format":"int32","description":"Number of dunning lines or dunnings for this open item.","readOnly":true},"originalPaymentDueDate":{"type":"string","format":"date","description":"Original due date.","readOnly":true},"paymentDaysNet":{"type":"integer","format":"int32","description":"Due period in days."},"paymentDueDate":{"type":"string","format":"date","description":"Due date."},"valueDate":{"type":"string","format":"date","description":"Value date."},"paymentDiscount1Amount":{"type":"number","description":"Payment discount amount 1."},"paymentDiscount2Amount":{"type":"number","description":"Payment discount amount 2."},"paymentTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purpose":{"type":"string","description":"Payment purpose."},"comment":{"type":"string","description":"Comment."},"paymentBlock":{"type":"boolean","default":false,"description":"Payment block."},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"paymentPlan":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"},"valueDateReadOnly":{"type":"boolean","default":false,"description":"Value date, read-only."},"canBeReopened":{"type":"boolean","default":false,"description":"Can this open item be reopened?"},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseDepositPaymentAmount":{"type":"number","description":"Agreed deposit amount in base currency."},"baseSumPayments":{"type":"number","description":"Total of the payments in base currency."},"baseSumDiscount":{"type":"number","description":"Total of the deductions (payment discount etc.) in base currency."},"baseSumDunnings":{"type":"number","description":"Total of the dunning fees and interest in base currency."},"baseSumTotalAmount":{"type":"number","description":"Total sum of the invoice amounts in base currency."},"baseSumDiscountableAmount":{"type":"number","description":"Total of the invoice amounts eligible for the payment discount in base currency."},"baseBalance":{"type":"number","description":"Open amount (balance) in base currency."},"baseSumFee":{"type":"number","description":"General fees in base currency."},"blockedByDocument":{"type":"boolean","default":false,"description":"Is the open item blocked by a document?"},"bookingAccountType":{"type":"string","description":"Booking to a supplier or a customer for manual open items.","enum":["CUSTOMER","SUPPLIER"],"readOnly":true},"taxPerformanceLocation":{"type":"string","description":"Performance tax situation (settable externally when no document is present).","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state (settable externally when no document is present).","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountryCode":{"type":"string","description":"Country code of the performance country (ISO Alpha-3, settable externally when no document is present)."},"sourceCountryCode":{"type":"string","description":"Country code of the country of origin (ISO Alpha-3, settable externally when no document is present)."},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"performanceDate":{"type":"string","format":"date","description":"Performance date (settable externally when no document is present)."},"balanced":{"type":"boolean"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-OpenItemRecord":{"description":"free payments","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordDate":{"type":"string","format":"date","description":"record date","readOnly":true},"totalAmount":{"type":"number","description":"record total amount","readOnly":true},"discountableAmount":{"type":"number","description":"record discountable amount","readOnly":true},"amount":{"type":"number","description":"record amount","readOnly":true},"discountAmount":{"type":"number","description":"record discount amount","readOnly":true},"bookingRecordId":{"type":"integer","format":"int64","description":"ref to the financialBookingRecord","readOnly":true},"origin":{"type":"string","description":"origin for this record","enum":["DOCUMENT","PAYMENT","PAYMENT_DISSOLVED","REIMBURSEMENT","REIMBURSEMENT_DISSOLVED","MANUAL_CLOSURE","MANUAL_REOPENING","DUNNING","DUNNING_DISSOLVED","DUNNING_INTEREST_REVERSAL","IMPORT","PAYMENT_PLAN","PAYMENT_PLAN_ENTRY","PAYMENT_IMPORT","IMPORT_DUNNING","CLEARING","CLEARING_DISSOLVED","DEPOSIT","CREDIT_NOTE","BALANCE_ADJUSTMENT","FEE","DUNNING_PAYMENT","DUNNING_PAYMENT_DISSOLVED","POS_PAYMENT","VOUCHER_PAYMENT","VOUCHER_PAYMENT_DISSOLVED"],"readOnly":true},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethod":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountBankdetailsRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"businessTransaction":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"revertedByRecordId":{"type":"integer","format":"int64","description":"Identifier of the record that cancelled this one.","readOnly":true},"transactionId":{"type":"integer","format":"int64","description":"Identifier of the transaction that caused this record.","readOnly":true},"qualifier":{"type":"string","description":"qualifier of open item","enum":["PAYABLE","RECEIVABLE","PAYMENT_RECEIVED","PAYMENT_SENT","PAYMENT_RECEIVED_REVERTED","PAYMENT_SENT_REVERTED","DUNNING_RECEIVABLE","DUNNING_PAYABLE","DUNNING_RECEIVABLE_REVERTED","DUNNING_PAYABLE_REVERTED"],"readOnly":true},"bookingType":{"type":"string","description":"Booking type of the open item record (derived from the origin and the booking type).","enum":["PAYABLE","RECEIVABLE","PAYMENT_PAYABLE","PAYMENT_RECEIVABLE","PAYMENT_PAYABLE_DISSOLVED","PAYMENT_RECEIVABLE_DISSOLVED","DUNNING_PAYABLE","DUNNING_RECEIVABLE","DUNNING_PAYABLE_DISSOLVED","DUNNING_RECEIVABLE_DISSOLVED"],"readOnly":true},"number":{"type":"string","description":"Process number that led to the booking.","readOnly":true},"comment":{"type":"string","description":"comment","readOnly":true},"locked":{"type":"boolean","description":"locked","readOnly":true},"revertable":{"type":"boolean","description":"revertable","readOnly":true},"recordReferenceNumber":{"type":"string","description":"record reference number","readOnly":true},"dunningLvl":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Booking amount in base currency."},"baseDiscountAmount":{"type":"number","description":"Deduction amount in base currency."},"baseTotalAmount":{"type":"number","description":"Total amount in base currency."},"baseDiscountableAmount":{"type":"number","description":"Total amount eligible for the payment discount in base currency."},"baseDunningFee":{"type":"number","description":"Dunning fees in base currency."},"baseDunningInterest":{"type":"number","description":"Dunning interest in base currency."}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Payment plan.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Payment plan type.","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Due date rule."},"amount":{"type":"number","description":"Amount."},"startDate":{"type":"string","format":"date","description":"Start date."},"endDate":{"type":"string","format":"date","description":"End date."},"description":{"type":"string","description":"Description."},"active":{"type":"boolean","description":"Active."},"dueDate":{"type":"string","format":"date","description":"Due date."},"manualRuleEntries":{"type":"array","description":"Manual booking presets.","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Payment plan currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Payment plan base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}},"erp-finance-PaymentPlanManualRule":{"description":"Manual booking presets.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Due date."},"amount":{"type":"number","description":"Amount."},"processed":{"type":"boolean","description":"Already processed.","readOnly":true},"currencyCode":{"type":"string","description":"Currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}}}}}
```

## POST /erp/finance/openitems/{openItemId}/startUpdate

> Locks an open item for editing.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/{openItemId}/startUpdate":{"post":{"tags":["OpenItem"],"description":"Locks an open item for editing.","operationId":"startUpdate","parameters":[{"name":"openItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-unknownmodule-LeasableLock"}}}}}}}},"components":{"schemas":{"core-unknownmodule-LeasableLock":{"properties":{"key":{"type":"string","minLength":1},"token":{"type":"integer","format":"int64"},"userId":{"type":"integer","format":"int64"},"lockedBySystem":{"type":"boolean"},"validUntil":{"type":"string","format":"date-time"},"id":{"type":"string","description":"Unique identifier of the Object","readOnly":true}},"required":["key","token"]}}}}
```

## POST /erp/finance/openitems/{openItemId}/cancelUpdate

> Releases an open item again.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/{openItemId}/cancelUpdate":{"post":{"tags":["OpenItem"],"description":"Releases an open item again.","operationId":"cancelUpdate","parameters":[{"name":"openItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitems/{id}/revert/{recordId}

> Cancels a payment or an offset.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/{id}/revert/{recordId}":{"post":{"tags":["OpenItem"],"description":"Cancels a payment or an offset.","operationId":"revert","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"recordId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/finance/openitems/{firstOpenItemId}/clear\_with/{secondOpenItemId}

> Returns the balance after the offset.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/{firstOpenItemId}/clear_with/{secondOpenItemId}":{"get":{"tags":["OpenItem"],"description":"Returns the balance after the offset.","operationId":"calculateExpectedBalance","parameters":[{"name":"firstOpenItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"secondOpenItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-ClearingExpectedResponse"}}}}}}}},"components":{"schemas":{"erp-finance-ClearingExpectedResponse":{"properties":{"qualifier":{"type":"string","description":"Receivable or payable.","enum":["PAYABLE","RECEIVABLE"]},"amount":{"type":"number","description":"Balance."}}}}}}
```

## POST /erp/finance/openitems/{firstOpenItemId}/clear\_with/{secondOpenItemId}

> Offsets two open items.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/{firstOpenItemId}/clear_with/{secondOpenItemId}":{"post":{"tags":["OpenItem"],"description":"Offsets two open items.","operationId":"clearReceivableWithPayable","parameters":[{"name":"firstOpenItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"secondOpenItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-ClearingResponse"}}}}}}}},"components":{"schemas":{"erp-finance-ClearingResponse":{"properties":{"firstOpenItemId":{"type":"integer","format":"int64","description":"First open item identifier."},"secondOpenItemId":{"type":"integer","format":"int64","description":"Second open item identifier."},"clearedAmount":{"type":"number","description":"Cleared amount."}}}}}}
```

## POST /erp/finance/openitems/recalculate/{openItemID}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/recalculate/{openItemID}":{"post":{"tags":["OpenItem"],"operationId":"recalculate","parameters":[{"name":"openItemID","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemRecalculateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItem"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemRecalculateRequest":{"properties":{"grantDeliveryApproval":{"type":"boolean","description":"Grant the delivery release."},"newBalance":{"type":"number","description":"New balance."}}},"erp-finance-OpenItem":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"order":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"invoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"creditNote":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositInvoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Open item number.","readOnly":true},"externalNumber":{"type":"string","description":"External open item number.","readOnly":true},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system","readOnly":true},"depositPaymentAmount":{"type":"number","description":"agreed Deposit payment amount","readOnly":true},"depositPaymentDate":{"type":"string","format":"date","description":"agreed Deposit payment date","readOnly":true},"depositPayed":{"type":"boolean","default":false,"description":"is the agreed deposit payed?","readOnly":true},"balancedDate":{"type":"string","format":"date","description":"balanced date of this open item (calculated)","readOnly":true},"balanceState":{"type":"string","description":"whether this open item is balanced, partially paid or open","enum":["OPEN","PARTIALLY_BALANCED","BALANCED","OVERPAID"],"readOnly":true},"balance":{"type":"number","description":"Balance.","readOnly":true},"sumPayments":{"type":"number","description":"Total of the booked payments.","readOnly":true},"sumDunnings":{"type":"number","description":"Total of the dunning fees and interest.","readOnly":true},"sumTotalAmount":{"type":"number","description":"Invoice amount.","readOnly":true},"sumDiscountableAmount":{"type":"number","description":"Invoice amount eligible for the payment discount.","readOnly":true},"sumFee":{"type":"number","description":"General fees.","readOnly":true},"records":{"type":"array","description":"free payments","items":{"$ref":"#/components/schemas/erp-finance-OpenItemRecord"},"readOnly":true},"basisPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentDays1":{"type":"integer","format":"int32","description":"How many days are given for using the first discount rule","readOnly":true},"paymentDiscount1":{"type":"number","description":"How much discount can be given for speedy payment, rule 1","readOnly":true},"paymentDiscount1DueDate":{"type":"string","format":"date","description":"Due date (payment discount 1).","readOnly":true},"paymentDays2":{"type":"integer","format":"int32","description":"How many days are given for using the second discount rule","readOnly":true},"paymentDiscount2":{"type":"number","description":"How much discount can be given for speedy payment, rule 2","readOnly":true},"paymentDiscount2DueDate":{"type":"string","format":"date","description":"Due date (payment discount 2).","readOnly":true},"paymentDiscountOrigin":{"type":"string","description":"Origin of the payment discount values (days and percentages).","enum":["FROM_PAYMENT_TERM","FROM_ACCOUNT","USER_DEFINED"]},"qualifier":{"type":"string","description":"Does this open item belong to accounts payable or accounts receivable","enum":["PAYABLE","RECEIVABLE"],"readOnly":true},"fullPaymentAmount":{"type":"number","description":"The full amount of the payment","readOnly":true},"paymentAmount":{"type":"number","description":"Currently valid amount to be paid.","readOnly":true},"paymentKind":{"type":"string","description":"The kind of payment","enum":["PREPAYMENT","PAYMENT"],"readOnly":true},"refundType":{"type":"string","description":"how should a refund be done?","enum":["DISBURSE","OFFSET_LATER"]},"dunningBlock":{"type":"boolean","default":false,"description":"Dunning block."},"paymentState":{"type":"string","description":"Payment state.","enum":["NO_PAYMENT","PAYMENT_CREATED","PAYMENT_TRANSFERRED","PAYMENT_COMMITTED"]},"dunningState":{"type":"string","description":"Dunning state.","enum":["IN_DUNNING","NO_DUNNING","DUNNING_PAID","DUNNING_PARTIALLY_PAID","DUNNING_OVERPAID"]},"dunningLevel":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"dunningCount":{"type":"integer","format":"int32","description":"Number of dunning lines or dunnings for this open item.","readOnly":true},"originalPaymentDueDate":{"type":"string","format":"date","description":"Original due date.","readOnly":true},"paymentDaysNet":{"type":"integer","format":"int32","description":"Due period in days."},"paymentDueDate":{"type":"string","format":"date","description":"Due date."},"valueDate":{"type":"string","format":"date","description":"Value date."},"paymentDiscount1Amount":{"type":"number","description":"Payment discount amount 1."},"paymentDiscount2Amount":{"type":"number","description":"Payment discount amount 2."},"paymentTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purpose":{"type":"string","description":"Payment purpose."},"comment":{"type":"string","description":"Comment."},"paymentBlock":{"type":"boolean","default":false,"description":"Payment block."},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"paymentPlan":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"},"valueDateReadOnly":{"type":"boolean","default":false,"description":"Value date, read-only."},"canBeReopened":{"type":"boolean","default":false,"description":"Can this open item be reopened?"},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseDepositPaymentAmount":{"type":"number","description":"Agreed deposit amount in base currency."},"baseSumPayments":{"type":"number","description":"Total of the payments in base currency."},"baseSumDiscount":{"type":"number","description":"Total of the deductions (payment discount etc.) in base currency."},"baseSumDunnings":{"type":"number","description":"Total of the dunning fees and interest in base currency."},"baseSumTotalAmount":{"type":"number","description":"Total sum of the invoice amounts in base currency."},"baseSumDiscountableAmount":{"type":"number","description":"Total of the invoice amounts eligible for the payment discount in base currency."},"baseBalance":{"type":"number","description":"Open amount (balance) in base currency."},"baseSumFee":{"type":"number","description":"General fees in base currency."},"blockedByDocument":{"type":"boolean","default":false,"description":"Is the open item blocked by a document?"},"bookingAccountType":{"type":"string","description":"Booking to a supplier or a customer for manual open items.","enum":["CUSTOMER","SUPPLIER"],"readOnly":true},"taxPerformanceLocation":{"type":"string","description":"Performance tax situation (settable externally when no document is present).","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state (settable externally when no document is present).","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountryCode":{"type":"string","description":"Country code of the performance country (ISO Alpha-3, settable externally when no document is present)."},"sourceCountryCode":{"type":"string","description":"Country code of the country of origin (ISO Alpha-3, settable externally when no document is present)."},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"performanceDate":{"type":"string","format":"date","description":"Performance date (settable externally when no document is present)."},"balanced":{"type":"boolean"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-OpenItemRecord":{"description":"free payments","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordDate":{"type":"string","format":"date","description":"record date","readOnly":true},"totalAmount":{"type":"number","description":"record total amount","readOnly":true},"discountableAmount":{"type":"number","description":"record discountable amount","readOnly":true},"amount":{"type":"number","description":"record amount","readOnly":true},"discountAmount":{"type":"number","description":"record discount amount","readOnly":true},"bookingRecordId":{"type":"integer","format":"int64","description":"ref to the financialBookingRecord","readOnly":true},"origin":{"type":"string","description":"origin for this record","enum":["DOCUMENT","PAYMENT","PAYMENT_DISSOLVED","REIMBURSEMENT","REIMBURSEMENT_DISSOLVED","MANUAL_CLOSURE","MANUAL_REOPENING","DUNNING","DUNNING_DISSOLVED","DUNNING_INTEREST_REVERSAL","IMPORT","PAYMENT_PLAN","PAYMENT_PLAN_ENTRY","PAYMENT_IMPORT","IMPORT_DUNNING","CLEARING","CLEARING_DISSOLVED","DEPOSIT","CREDIT_NOTE","BALANCE_ADJUSTMENT","FEE","DUNNING_PAYMENT","DUNNING_PAYMENT_DISSOLVED","POS_PAYMENT","VOUCHER_PAYMENT","VOUCHER_PAYMENT_DISSOLVED"],"readOnly":true},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethod":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountBankdetailsRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"businessTransaction":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"revertedByRecordId":{"type":"integer","format":"int64","description":"Identifier of the record that cancelled this one.","readOnly":true},"transactionId":{"type":"integer","format":"int64","description":"Identifier of the transaction that caused this record.","readOnly":true},"qualifier":{"type":"string","description":"qualifier of open item","enum":["PAYABLE","RECEIVABLE","PAYMENT_RECEIVED","PAYMENT_SENT","PAYMENT_RECEIVED_REVERTED","PAYMENT_SENT_REVERTED","DUNNING_RECEIVABLE","DUNNING_PAYABLE","DUNNING_RECEIVABLE_REVERTED","DUNNING_PAYABLE_REVERTED"],"readOnly":true},"bookingType":{"type":"string","description":"Booking type of the open item record (derived from the origin and the booking type).","enum":["PAYABLE","RECEIVABLE","PAYMENT_PAYABLE","PAYMENT_RECEIVABLE","PAYMENT_PAYABLE_DISSOLVED","PAYMENT_RECEIVABLE_DISSOLVED","DUNNING_PAYABLE","DUNNING_RECEIVABLE","DUNNING_PAYABLE_DISSOLVED","DUNNING_RECEIVABLE_DISSOLVED"],"readOnly":true},"number":{"type":"string","description":"Process number that led to the booking.","readOnly":true},"comment":{"type":"string","description":"comment","readOnly":true},"locked":{"type":"boolean","description":"locked","readOnly":true},"revertable":{"type":"boolean","description":"revertable","readOnly":true},"recordReferenceNumber":{"type":"string","description":"record reference number","readOnly":true},"dunningLvl":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Booking amount in base currency."},"baseDiscountAmount":{"type":"number","description":"Deduction amount in base currency."},"baseTotalAmount":{"type":"number","description":"Total amount in base currency."},"baseDiscountableAmount":{"type":"number","description":"Total amount eligible for the payment discount in base currency."},"baseDunningFee":{"type":"number","description":"Dunning fees in base currency."},"baseDunningInterest":{"type":"number","description":"Dunning interest in base currency."}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Payment plan.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Payment plan type.","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Due date rule."},"amount":{"type":"number","description":"Amount."},"startDate":{"type":"string","format":"date","description":"Start date."},"endDate":{"type":"string","format":"date","description":"End date."},"description":{"type":"string","description":"Description."},"active":{"type":"boolean","description":"Active."},"dueDate":{"type":"string","format":"date","description":"Due date."},"manualRuleEntries":{"type":"array","description":"Manual booking presets.","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Payment plan currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Payment plan base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}},"erp-finance-PaymentPlanManualRule":{"description":"Manual booking presets.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Due date."},"amount":{"type":"number","description":"Amount."},"processed":{"type":"boolean","description":"Already processed.","readOnly":true},"currencyCode":{"type":"string","description":"Currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}}}}}
```

## POST /erp/finance/openitems/create\_op\_from\_transaction

> Creates an open item from a bank transaction

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/create_op_from_transaction":{"post":{"tags":["OpenItem"],"description":"Creates an open item from a bank transaction","operationId":"createFromTransaction","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-TransactionToOpenItemRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-finance-TransactionToOpenItemRequest":{"properties":{"transactionId":{"type":"integer","format":"int64","description":"ID of the bank transaction"},"accountId":{"type":"integer","format":"int64","description":"ID of the account the new open item is assigned to"},"paymentMethodId":{"type":"integer","format":"int64","description":"ID of the payment method to set on the open item"},"bookingAccountType":{"type":"string","description":"Booking account type: CUSTOMER (debtor) or SUPPLIER (creditor)","enum":["CUSTOMER","SUPPLIER"]}},"required":["bookingAccountType"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/finance/openitems/account/{accountId}/offset\_credit\_notes

> Preview: offsets the account's open credit notes against its open invoices (oldest first) without booking and reports what would be offset.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/account/{accountId}/offset_credit_notes":{"get":{"tags":["OpenItem"],"description":"Preview: offsets the account's open credit notes against its open invoices (oldest first) without booking and reports what would be offset.","operationId":"previewOffsetCreditNotes","parameters":[{"name":"accountId","in":"path","description":"account identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemOffsetResult"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemOffsetResult":{"properties":{"preview":{"type":"boolean","default":false,"description":"True means preview only (nothing was booked), false means actually offset."},"totalOffsetAmount":{"type":"number","description":"Total sum of the offset amounts."},"lines":{"type":"array","description":"Individual offsets (credit note against invoice).","items":{"$ref":"#/components/schemas/erp-finance-OpenItemOffsetLine"}}}},"erp-finance-OpenItemOffsetLine":{"description":"Individual offsets (credit note against invoice).","properties":{"receivableOpenItemId":{"type":"integer","format":"int64","description":"Invoice open item identifier (receivable)."},"receivableNumber":{"type":"string","description":"Invoice open item number."},"creditNoteOpenItemId":{"type":"integer","format":"int64","description":"Credit note open item identifier (payable)."},"creditNoteNumber":{"type":"string","description":"Credit note open item number."},"offsetAmount":{"type":"number","description":"Cleared amount."},"currencyCode":{"type":"string","description":"Offset currency (ISO code)."}}}}}}
```

## POST /erp/finance/openitems/account/{accountId}/offset\_credit\_notes

> Offsets the account's open credit notes against its open invoices (oldest first) and reports what was offset.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/account/{accountId}/offset_credit_notes":{"post":{"tags":["OpenItem"],"description":"Offsets the account's open credit notes against its open invoices (oldest first) and reports what was offset.","operationId":"offsetCreditNotes","parameters":[{"name":"accountId","in":"path","description":"account identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemOffsetResult"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemOffsetResult":{"properties":{"preview":{"type":"boolean","default":false,"description":"True means preview only (nothing was booked), false means actually offset."},"totalOffsetAmount":{"type":"number","description":"Total sum of the offset amounts."},"lines":{"type":"array","description":"Individual offsets (credit note against invoice).","items":{"$ref":"#/components/schemas/erp-finance-OpenItemOffsetLine"}}}},"erp-finance-OpenItemOffsetLine":{"description":"Individual offsets (credit note against invoice).","properties":{"receivableOpenItemId":{"type":"integer","format":"int64","description":"Invoice open item identifier (receivable)."},"receivableNumber":{"type":"string","description":"Invoice open item number."},"creditNoteOpenItemId":{"type":"integer","format":"int64","description":"Credit note open item identifier (payable)."},"creditNoteNumber":{"type":"string","description":"Credit note open item number."},"offsetAmount":{"type":"number","description":"Cleared amount."},"currencyCode":{"type":"string","description":"Offset currency (ISO code)."}}}}}}
```

## GET /erp/finance/openitems/{refId}/workflow-state

> Return the current workflow instance state for the given reference

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/{refId}/workflow-state":{"get":{"tags":["OpenItem"],"summary":"Return the current workflow instance state for the given reference","operationId":"getWorkflowState","parameters":[{"name":"refId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Workflow instance found.","content":{"*/*":{"schema":{"type":"string","description":"Workflow instance status.","enum":["CREATED","IN_PROCESS","COMPLETED_SUCCESSFULLY","COMPLETED_WITH_FAILURE","ERRONEOUS","ABORTED_CRASHED","ABORTED_MANUALLY","CRASHED","WAITING","INTERRUPTED"]}}}},"404":{"description":"No workflow instance exists yet.","content":{"*/*":{"schema":{"type":"string","description":"Workflow instance status.","enum":["CREATED","IN_PROCESS","COMPLETED_SUCCESSFULLY","COMPLETED_WITH_FAILURE","ERRONEOUS","ABORTED_CRASHED","ABORTED_MANUALLY","CRASHED","WAITING","INTERRUPTED"]}}}}}}}}}
```

## GET /erp/finance/openitems/{refId}/workflow-instances-preset

> Return a query preset for selecting all workflow instances for the given reference

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItem","description":"the Finance OpenItem API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/{refId}/workflow-instances-preset":{"get":{"tags":["OpenItem"],"summary":"Return a query preset for selecting all workflow instances for the given reference","operationId":"getWorkflowInstancesPreset","parameters":[{"name":"refId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Workflow instance found.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-cunit-QueryPreset"}}}}}}}},"components":{"schemas":{"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"Template this filter was assigned to.","minLength":1},"templateGroupKey":{"type":"string","description":"The templateGroupKey this filter was assigned to.","minLength":1},"label":{"type":"string","description":"Filter label.","minLength":1},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variables for this preset.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"Results.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"Sort order.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"Additional configurations.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"Intended for workflows."},"outputReportGroupIdentifier":{"type":"string","description":"Identifier of an OutputReportGroup (moduleKey=cunit) used as the print template for this preset."},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"descript
[...]
